
// PIC10F202 Configuration Bit Settings

// 'C' source line config statements

// CONFIG
#pragma config WDTE = OFF       // Watchdog Timer (WDT disabled)
#pragma config CP = OFF         // Code Protect (Code protection off)
#pragma config MCLRE = OFF      // Master Clear Enable (GP3/MCLR pin fuction is digital I/O, MCLR internally tied to VDD)

// #pragma config statements should precede project file includes.
// Use project enums instead of #define for ON and OFF.

#include <xc.h>


/* Main Program                                                               */

/******************************************************************************/

#define _XTAL_FREQ 4000000 // oscillator frequency for _delay()

void main(void)

{

  /***** MAIN PROGRAM *****/

   OPTION = 0b10000000;

   // Initialisation

  TRIS = 0b00000000; // configure GP1 (only) as an output

  // Main loop

  for (;;)

  {

    GPIO = 0b00000010; // turn on LED on all GPX

    __delay_ms(200); // stay on for 200 ms

    GPIO = 0; // turn off LED (clearing GPIO clears GPX)

  __delay_ms(800); // stay off for 800 ms

} // repeat forever

}

